
package de.ivu.elect.business.gruppe.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.gruppe.entity.PolitischeGruppe;
import de.ivu.elect.business.gruppe.boundary.PolitischeGruppeDAO;
import de.ivu.elect.business.gruppe.boundary.PolitischeGruppeCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractPolitischeGruppeCreate {

  @Inject
  protected PolitischeGruppeDAO dao;

    @Inject
    transient Event<PolitischeGruppeCreateEvent> createEvent;



    @Inject
  de.ivu.elect.business.gruppe.control.GruppeCreate superCreate;
  


public void save(PolitischeGruppe entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(PolitischeGruppe entity) {
        superCreate.sendCreateEvent(entity);
        createEvent.fire(new PolitischeGruppeCreateEvent(entity));
  }

}
